/**
 * Created by JianJia.Zhou<jianjia.zhou> on 2022/3/11.
 */
import request from '@/utils/request'

export function lists(params) {
  return request({
    url: '/purview/role/lists',
    method: 'get',
    params
  })
}
export function create(data) {
  return request({
    url: '/purview/role/create',
    method: 'post',
    data
  })
}

export async function show(id) {
  return request({
    url: `/purview/role/${id}/show`
  })
}

export async function update(data) {
  return request({
    url: `/purview/role/${data.id}/update`,
    method: 'post',
    data
  })
}

export function destroy(id) {
  return request({
    url: `/purview/role/${id}/destroy`,
    method: 'post'
  })
}

export default {
  lists,
  create,
  show,
  update,
  destroy
}
