import store from '@/store'
import { isEmpty } from 'lodash'

function checkAuth(el, binding) {
  const { value } = binding
  const auths = store.getters && store.getters.auths
  if (isEmpty(value)) throw new Error(`need auths! Like v-auth="['admin','editor']"`)

  let hasAuth = false
  if (value && value instanceof Array) {
    if (value.length > 0) {
      hasAuth = value.some(auth => {
        return auths.includes(auth)
      })
    }
  } else if (value && value instanceof String) {
    hasAuth = auths.includes(value)
  }
  // 一个权限都没有表示所有的权限都有，即超管
  if (!hasAuth && auths.length) {
    if (el.nodeName === 'BUTTON') {
      el.setAttribute('disabled', true)
      el.className += ' is-disabled'
    } else {
      el.parentNode && el.parentNode.removeChild(el)
    }
  }
}

export default {
  inserted(el, binding) {
    checkAuth(el, binding)
  },
  update(el, binding) {
    checkAuth(el, binding)
  }
}
