import cache from '@/utils/cache'

const state = {
  logs: []
}

const mutations = {
  ADD_ERROR_LOG: (state, log) => {
    state.logs.push(log)
    cache.set('error-log', state.logs)
  },
  CLEAR_ERROR_LOG: (state) => {
    state.logs.splice(0)
    cache.set('error-log', null)
  }
}

const actions = {
  addErrorLog({ commit }, log) {
    commit('ADD_ERROR_LOG', log)
  },
  clearErrorLog({ commit }) {
    commit('CLEAR_ERROR_LOG')
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
