import Cache from './cache'
import store from '@/store'

const TokenKey = 'auth_token'

export function getToken() {
  return Cache.get(TokenKey)
}

export function setToken(token) {
  return Cache.set(TokenKey, token)
}

export function removeToken() {
  return Cache.remove(TokenKey)
}

export function checkAuth(value) {
  const auths = store.getters && store.getters.auths
  let hasAuth
  if (Array.isArray(value)) {
    hasAuth = value.some(auth => {
      return auths.includes(auth)
    })
  } else {
    hasAuth = auths.includes(value)
  }

  return hasAuth || auths.length === 0
}
